' *****************************************************************************
' *****   MAGAZINE - ELECTRONIQUE PRATIQUE - DES EDITIONS TRANSOCEANIC    *****
' *****************************************************************************
' *****   Auteur : Yves MERGY   ---     Droits protgs (c) 05 / 2011     *****
' *****************************************************************************
' *****           -=- INITIATION AUX MICROCONTROLEURS PICAXE -=-          *****
' *****            "PICAXE A TOUT FAIRE"  Atelier Pratique No5            *****
' *****   Rception FUGITIF d'un signal InfraRouge d'une tlcommande     *****
' *****   -- Affichage du code sur le terminal du PC                      *****
' *****   -- Gestion d'une LED relie  la sortie B.7                     *****
' *****************************************************************************

'***** DIRECTIVES *************************************************************
	#picaxe20X2				'Microcontrleur employ : PICAXE 20X2
	#no_data					'Gain de temps pour le tlchargement (pas de donnes)
	#terminal 4800		'Terminal d'affichage sur PC  4800 Bauds
	
'***** CONSTANTES *************************************************************
	symbol IR = C.5			'Sonde infrarouge sur C.5
	symbol LED = B.7

'***** VARIABLES **************************************************************
	symbol infra = b13	'Variable du capteur infrarouge

'***** BOUCLE PRINCIPALE ******************************************************
	setfreq m4				'Frquence fixe  4MHz par circuit interne au C
	do								'Ouverture de la boucle sans fin pour affichage sur le PC
		low LED					'LED teinte en ddut de boucle
		irin IR,infra		'Attente d'un signal IR
		sertxd("Code = ",#infra,13,10)	'Affichage
		if infra = 1 then	'Test si touche 2 appuye (code 1)
			high LED			'LED allume
		endif						'Fin de test
		pause 500				'Pause pour antirebonds et une meilleure visibilit
	loop							'Fermeture de la boucle.
