' *****************************************************************************
' *****   MAGAZINE - ELECTRONIQUE PRATIQUE - DES EDITIONS TRANSOCEANIC    *****
' *****************************************************************************
' *****   Auteur : Yves MERGY   ---     Droits protgs (c) 05 / 2011     *****
' *****************************************************************************
' *****           -=- INITIATION AUX MICROCONTROLEURS PICAXE -=-          *****
' *****            "PICAXE A TOUT FAIRE"  Atelier Pratique No 4           *****
' *****   Lecture d'une sonde de temprature DS18B20 sur 8 bits           *****
' *****   -- Affichage de la temprature sur le terminal du PC            *****
' *****   -- Gestion d'une LED relie sur la sortie B.7                   *****
' *****************************************************************************

'***** DIRECTIVES *************************************************************
	#picaxe20X2				'Microcontrleur employ : PICAXE 20X2
	#no_data					'Gain de temps pour le tlchargement (pas de donnes)
	#terminal 9600		'Terminal d'affichage sur PC  9600 Bauds

'***** CONSTANTES *************************************************************
	symbol SONDE = C.1		'Sonde de temprature DS18B20 sur l'entre ADC4
	symbol LED = B.7			'LED sur la ligne B.7

'***** VARIABLES **************************************************************
	symbol TEMPERATURE = b1	'Variable de lecture de la temprature

'***** BOUCLE PRINCIPALE ******************************************************
	do								'Ouverture de la boucle sans fin pour affichage sur le PC
		readtemp SONDE,TEMPERATURE 								'Lecture de la valeur
		sertxd ("Temprature = ",#TEMPERATURE," oC",CR,LF)	'Affichage
		if TEMPERATURE > 25 then	'LED allume si la temprature dpasse 25 oC
			high LED
		else											'Sinon la LED s'teint
			low LED
		endif
		pause 200				'Pause pour une meilleure visibilit
	loop							'Fermeture de la boucle.
