' *****************************************************************************
' *****   MAGAZINE - ELECTRONIQUE PRATIQUE - DES EDITIONS TRANSOCEANIC    *****
' *****************************************************************************
' *****   Auteur : Yves MERGY   ---     Droits protgs (c) 05 / 2011     *****
' *****************************************************************************
' *****           -=- INITIATION AUX MICROCONTROLEURS PICAXE -=-          *****
' *****            "PICAXE A TOUT FAIRE"  Atelier Pratique No5            *****
' *****   Rception d'impulsions multiples d'une tlcommande IR          *****
' *****   Prise en compte d'un nombre  2 chiffres                        *****
' *****   -- Prise en compte d'un nombre  2 chiffres                     *****
' *****   -- Affichage du code sur le terminal du PC                      *****
' *****************************************************************************

'***** DIRECTIVES *************************************************************
	#picaxe20X2				'Microcontrleur employ : PICAXE 20X2
	#no_data					'Gain de temps pour le tlchargement (pas de donnes)
	#terminal 4800		'Terminal d'affichage sur PC  4800 Bauds
	
'***** CONSTANTES *************************************************************
	symbol IR = C.5		'Sonde infrarouge sur C.5

'***** VARIABLES **************************************************************
	symbol VD = b0			'Variable des dizaines
	symbol VU = b1			'Variable des units
	symbol NB = b2			'Variable du compteur
	symbol infra = b13	'Variable du capteur infrarouge

'***** BOUCLE PRINCIPALE ******************************************************
	setfreq m4				'Frquence fixe  4MHz par circuit interne au C
	do								'Ouverture de la boucle sans fin pour affichage sur le PC
Erreur:							'Etiquette pour retour en cas d'erreur de saisie
		VD = 0					'Dizaines  0
		VU = 0					'Units  0
		irin IR,infra		'Attente d'un signal IR
		VU = infra + 1	'Le code reu correspond au No de la touche
		if VU = 10 then	'Gestion de la touche 0
			VU = 0
		Endif
		if VU > 9 then Erreur	'Retour si appui sur une touche non chiffre
		pause 200				'Pause de 200 mS pour prise en compte et antirebonds
		irin [300,Calcul],IR,infra		'Attente d'un signal IR
		VD = VU * 10		'Traitement des dizaines
		VU = infra + 1	'Le code reu correspond au No de la touche
		if VU = 10 then	'Gestion de la touche 0
			VU = 0
		Endif
		if VU > 9 then Erreur	'Retour si appui sur une touche non chiffre
Calcul:							'Etiquette pour calcul du nombre si pas de dizaines
		NB = VD + VU		'Traitement du nombre (dizaines + Units)
		sertxd("Nombre = ",#NB,13,10)	'Affichage
		pause 300				'Pause de 300 mS pour prise en compte et antirebonds
	loop
