' *****************************************************************************
' *****   MAGAZINE - ELECTRONIQUE PRATIQUE - DES EDITIONS TRANSOCEANIC    *****
' *****************************************************************************
' *****   Auteur : Yves MERGY   ---     Droits protgs (c) 05 / 2011     *****
' *****************************************************************************
' *****           -=- INITIATION AUX MICROCONTROLEURS PICAXE -=-          *****
' *****            "PICAXE A TOUT FAIRE"  Atelier Pratique No6            *****
' *****   Production de sonorits sur le buzzer                           *****
' *****   -- Affichage du code sur le terminal du PC                      *****
' *****   -- Gestion d'une LED relie  la sortie B.7                     *****
' *****************************************************************************

'***** DIRECTIVES *************************************************************
	#picaxe20X2				'Microcontrleur employ : PICAXE 20X2
	#no_data					'Gain de temps pour le tlchargement (pas de donnes)
	#terminal off			'Pas de terminal d'affichage sur PC
	
'***** CONSTANTES *************************************************************
	symbol BUZZER = C.1	'Buzzer sur la srtie C.1

'***** VARIABLES **************************************************************
	symbol VALEUR = b0	'Variable de hauteur du son 

'***** BOUCLE PRINCIPALE ******************************************************
	setfreq m4							'Frquence fixe  4MHz par circuit interne au C
	VALEUR = 90							'Initialisation du son  une valeur de 90
	do											'Ouverture de la boucle sans fin
		inc VALEUR						'Incrmentation de la valeur du son
		if VALEUR > 127 then	'Test si valeur maximale dpasse
			VALEUR = 90					'Initialisation  90
		endif
		sound BUZZER,(VALEUR,10)	'Production du son
	loop										'Fermeture de la boucle.
